import { Cache } from './cache';
import { TemporalLike } from './polyfill/temporal';
import { DurationFormatOptions, IntlHelpers } from './types';
export declare function intlHelpers<Output>({ cache, transform, dateTimeFormatOptions, listFormatOptions, numberFormatOptions, pluralRulesOptions, relativeTimeFormatOptions, }: {
    cache: Cache;
    transform: (fn: (locale: string) => string) => Output;
    dateTimeFormatOptions?: Intl.DateTimeFormatOptions;
    listFormatOptions?: Intl.ListFormatOptions;
    numberFormatOptions?: Intl.NumberFormatOptions;
    pluralRulesOptions?: Intl.PluralRulesOptions;
    relativeTimeFormatOptions?: Intl.RelativeTimeFormatOptions;
    durationFormatOptions?: DurationFormatOptions;
}): IntlHelpers<Output>;
export declare function customDateTimeFormat(cache: Cache, locale: string | undefined, options_: Intl.DateTimeFormatOptions | undefined, date_: Date | number | string | TemporalLike | undefined): string;
export declare function customDateTimeFormatRange(cache: Cache, locale: string | undefined, options_: Intl.DateTimeFormatOptions | undefined, startDate_: Date | number | string | TemporalLike, endDate_: Date | number | string | TemporalLike): string;
